// Copyright (C) 2002 Hewlett-Packard Company
// All rights reserved.
//
/* PORTCHECK OFF */
/****************************************************************************
 $Header: /cvsroot/mapisp/src/OMName/strings.h,v 1.1.1.1 2002-11-21 17:55:32 gren Exp $
 String IDs and related defines
 ****************************************************************************/

/****************************************************************************
 Special characters
 ****************************************************************************/
#define omcnCHAR_FMT_TOKEN			'%'
#define omcnCHAR_FMT_BRACKET_OPEN	'('
#define omcnCHAR_FMT_BRACKET_CLOSE	')'
#define omcnCHAR_FMT_SPACE			' '
#define omcnCHAR_SPACE				omcnCHAR_FMT_SPACE
#define omcnCHAR_NULL				'\0'

#define omcnCHAR_DEF_SLASH			'/'
#define omcnCHAR_DEF_COMMA			','
#define omcnCHAR_DEF_WILD			'*'

#define omcnCHAR_ESCAPE				'\\'
#define omcnCHAR_DOT				'.'
#define omcnCHAR_EQUALS				'='

#define omcnCHAR_ANY_TERM			((char)1)

#define omcnCHAR_INT_WILD			(US)

/****************************************************************************
 Error messages
 ****************************************************************************/
#define omcnSTR_DEFAULT_ERROR					1000

/*To get the error message string ID, add omcnSTR_ERR_ to the omcnError
value.*/
#define omcnSTR_ERR_							1001

/****************************************************************************
 Supplementary error messages
 ****************************************************************************/
#define omcnSTR_DOUBLE_SEP						2001
#define omcnSTR_AFTER_PCENT						2002
#define omcnSTR_NO_CLOSE_BRACKET				2003
#define omcnSTR_BAD_X400_TERM					2004
#define omcnSTR_UNEXPECTED_CHAR					2005
#define omcnSTR_X400_TERM_CMPLX					2006
#define omcnSTR_NAME_PART_TOO_LONG				2007
#define omcnSTR_NAME_TOO_MANY_SECT				2008
#define omcnSTR_NO_EFA_AND_DDAS					2009

/****************************************************************************
 Internal token names
 ****************************************************************************/
#define omcnSTR_TOK_							3000
#define omcnSTR_TOK_CANONICAL					(omcnSTR_TOK_+omcnTOK_CANON)
#define omcnSTR_TOK_NONCANONICAL				(omcnSTR_TOK_+omcnTOK_NONCANON)
#define omcnSTR_TOK_X400						(omcnSTR_TOK_+omcnTOK_X400)
#define omcnSTR_TOK_EFA							(omcnSTR_TOK_+omcnTOK_EFA)

/****************************************************************************
 INI section names and entries
 ****************************************************************************/
#define omcnSECT_NAME_FMT						3100
#define omcnENT_RECONFIG_ATTRS					3101
#define omcnENT_FMT_STRING						3102
#define omcnENT_LOG_FILE						3103
#define omcnENT_LOG_FLAGS						3104
#define omcnENT_COMMA							3105
#define omcnENT_SLASH							3106
#define omcnENT_FLAG_USE_ALL_ATTRS				3107
#define omcnENT_FLAG_USE_7BIT					3108
#define omcnENT_FLAG_COMPLEX					3109
#define omcnENT_X400_MAX_JUNK					3110
#define omcnENT_FLAG_SEPARATE_ORGUNITS			3111
#define omcnENT_WILDCARD						3112
#define omcnENT_FLAG_NAME_IN_X400				3113
#define omcnENT_FLAG_ACL_MASK					3114


/****************************************************************************
 True and False strings
 ****************************************************************************/
#define omcnSTR_TRUE_					3200
#define omcnSTR_FALSE_					(omcnSTR_TRUE_+omcnMAX_TRUE_COUNT+1)


/****************************************************************************
 Attribute tag names for the X400 token
 These are listed in the order in which the tag names are compared against
 an X400 token, so they are in an order which might be more likely to give
 a quicker match.
 The STR_TAG_ entries refer to the localisable tag names. The ENT_TAG_ entries
 are used to read locally configured values from the INI file.
 ****************************************************************************/
#define omcnSTR_TAG_				3300
#define omcnSTR_TAG_COUNTRY			(omcnSTR_TAG_+omcnIDX_COUNTRY)
#define omcnSTR_TAG_ORGNAME			(omcnSTR_TAG_+omcnIDX_ORGNAME)
#define omcnSTR_TAG_ADMD			(omcnSTR_TAG_+omcnIDX_ADMD)
#define omcnSTR_TAG_PRMD			(omcnSTR_TAG_+omcnIDX_PRMD)
#define omcnSTR_TAG_SURNAME			(omcnSTR_TAG_+omcnIDX_SURNAME)
#define omcnSTR_TAG_GIVEN			(omcnSTR_TAG_+omcnIDX_GIVEN)
#define omcnSTR_TAG_INITIALS		(omcnSTR_TAG_+omcnIDX_INITIALS)
#define omcnSTR_TAG_COMMON_NAME		(omcnSTR_TAG_+omcnIDX_COMMON_NAME)
#define omcnSTR_TAG_DDA				(omcnSTR_TAG_+omcnIDX_DDAT1)
#define omcnSTR_TAG_ORG1			(omcnSTR_TAG_+omcnIDX_ORG1)
#define omcnSTR_TAG_ORG2			(omcnSTR_TAG_+omcnIDX_ORG2)
#define omcnSTR_TAG_ORG3			(omcnSTR_TAG_+omcnIDX_ORG3)
#define omcnSTR_TAG_ORG4			(omcnSTR_TAG_+omcnIDX_ORG4)
#define omcnSTR_TAG_X121			(omcnSTR_TAG_+omcnIDX_X121)
#define omcnSTR_TAG_NUM_UID			(omcnSTR_TAG_+omcnIDX_NUM_UID)
#define omcnSTR_TAG_TERM_UID		(omcnSTR_TAG_+omcnIDX_TERM_UID)
#define omcnSTR_TAG_FREE_FORM		(omcnSTR_TAG_+omcnIDX_FREE_FORM)
#define omcnSTR_TAG_GQ				(omcnSTR_TAG_+omcnIDX_GQ)
#define omcnSTR_TAG_TX_SURNAME		(omcnSTR_TAG_+omcnIDX_TX_SURNAME)
#define omcnSTR_TAG_TX_GIVEN		(omcnSTR_TAG_+omcnIDX_TX_GIVEN)

#define omcnSECT_ATTRIB_TAGS		3400
#define omcnENT_TAG_				3401
#define OFFSET						(omcnENT_TAG_-omcnSTR_TAG_)
#define omcnENT_TAG_COUNTRY			(OFFSET+omcnSTR_TAG_COUNTRY)
#define omcnENT_TAG_ORGNAME			(OFFSET+omcnSTR_TAG_ORGNAME)
#define omcnENT_TAG_ADMD			(OFFSET+omcnSTR_TAG_ADMD)
#define omcnENT_TAG_PRMD			(OFFSET+omcnSTR_TAG_PRMD)
#define omcnENT_TAG_SURNAME			(OFFSET+omcnSTR_TAG_SURNAME)
#define omcnENT_TAG_GIVEN			(OFFSET+omcnSTR_TAG_GIVEN)
#define omcnENT_TAG_INITIALS		(OFFSET+omcnSTR_TAG_INITIALS)
#define omcnENT_TAG_COMMON_NAME		(OFFSET+omcnSTR_TAG_COMMON_NAME)
#define omcnENT_TAG_ORG1			(OFFSET+omcnSTR_TAG_ORG1)
#define omcnENT_TAG_ORG2			(OFFSET+omcnSTR_TAG_ORG2)
#define omcnENT_TAG_ORG3			(OFFSET+omcnSTR_TAG_ORG3)
#define omcnENT_TAG_ORG4			(OFFSET+omcnSTR_TAG_ORG4)
#define omcnENT_TAG_X121			(OFFSET+omcnSTR_TAG_X121)
#define omcnENT_TAG_NUM_UID			(OFFSET+omcnSTR_TAG_NUM_UID)
#define omcnENT_TAG_TERM_UID		(OFFSET+omcnSTR_TAG_TERM_UID)
#define omcnENT_TAG_GQ				(OFFSET+omcnSTR_TAG_GQ)
#define omcnENT_TAG_FREE_FORM		(OFFSET+omcnSTR_TAG_FREE_FORM)
#define omcnENT_TAG_TX_SURNAME		(OFFSET+omcnSTR_TAG_TX_SURNAME)
#define omcnENT_TAG_TX_GIVEN		(OFFSET+omcnSTR_TAG_TX_GIVEN)


#define omcnENT_TAG_DDA				(OFFSET+omcnSTR_TAG_DDA)

